## RepeatRuleDateTime

Description

Class for parsing RRule and getting us the dates

- author: Andrew McMillan <andrew@mcmillan.net.nz>
- copyright: Morphoss Ltd
- license: GNU GPL v2 or later

Located in /inc/RRule-v2.php (line 37)

    DateTime
       |
       --RepeatRuleDateTime

Variable Summary
static mixed $Format
Method Summary
RepeatRuleDateTime __construct ([ $date = null], [ $dtz = null])
void day ()
void hour ()
void minute ()
void month ()
void RFC5545 ()
void second ()
void setDate ([ $year = null], [ $month = null], [ $day = null])
void setTimeZone ( $tz)
void UTC ()
void year ()
void __toString ()
Variables
static mixed $Format = 'c' (line 39)

- access: public

Methods
Constructor __construct (line 42)

- access: public

RepeatRuleDateTime __construct ([ $date = null], [ $dtz = null])

- $date
- DateTimeZone $dtz

Redefinition of:

DateTime::constructor __construct ( )

day (line 133)
void day ()
hour (line 137)
void hour ()
minute (line 141)
void minute ()
month (line 129)
void month ()
RFC5545 (line 98)

- access: public

void RFC5545 ()
second (line 145)
void second ()
setDate (line 117)
void setDate ([ $year = null], [ $month = null], [ $day = null])

- $year
- $month
- $day

Redefinition of:

DateTime::setDate ( )

setTimeZone (line 111)

- access: public

void setTimeZone ( $tz)

- $tz

Redefinition of:

DateTime::setTimezone ( )

UTC (line 87)

- access: public

void UTC ()
year (line 125)
void year ()
__toString (line 82)

- access: public

void __toString ()

#### Inherited Methods

Inherited From DateTime (Internal Class)

> constructor __construct ( )
> format ( )
> getOffset ( )
> getTimezone ( )
> modify ( )
> setDate ( )
> setISODate ( )
> setTime ( )
> setTimezone ( )

Class Constants

#### Inherited Constants

Inherited from DateTime (Internal Class)

> ATOM = 'Y-m-d\\TH:i:sP'
> COOKIE = 'l, d-M-y H:i:s T'
> ISO8601 = 'Y-m-d\\TH:i:sO'
> RFC822 = 'D, d M y H:i:s O'
> RFC850 = 'l, d-M-y H:i:s T'
> RFC1036 = 'D, d M y H:i:s O'
> RFC1123 = 'D, d M Y H:i:s O'
> RFC2822 = 'D, d M Y H:i:s O'
> RFC3339 = 'Y-m-d\\TH:i:sP'
> RSS = 'D, d M Y H:i:s O'
> W3C = 'Y-m-d\\TH:i:sP'

Documentation generated on Thu, 25 Feb 2010 11:39:21 +1300 by phpDocumentor 1.3.2